Package org.eclipse.emf.cdo.ui.widgets

# Class CommitHistoryComposite.Input

java.lang.Object
org.eclipse.net4j.util.event.Notifier
org.eclipse.emf.cdo.ui.widgets.CommitHistoryComposite.Input

All Implemented Interfaces:
  `org.eclipse.net4j.util.event.INotifier`, `org.eclipse.net4j.util.event.INotifier.INotifier2`, `org.eclipse.net4j.util.lifecycle.IDeactivateable`, `org.eclipse.net4j.util.lifecycle.ILifecycle`

Enclosing class:
  CommitHistoryComposite

public static class CommitHistoryComposite.Input extends org.eclipse.net4j.util.event.Notifier implements org.eclipse.net4j.util.lifecycle.ILifecycle
Encapsulates the input of a `CommitHistoryComposite`.

Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`CommitHistoryComposite.Input.IllegalInputException`
Thrown from `Input(Object)` when no history could be created from the passed parameter object.
`static interface`
`CommitHistoryComposite.Input.ObjectModifier`
Allows implementors to display alternative histories for selected `model objects`.

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

`org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Constructor Summary

Constructors
Constructor
Description
`Input(Object delegate)`
`Input(CDOSession session, CDOBranch branch, CDOObject object)`

## Method Summary

Modifier and Type
Method
Description
`void`
`activate()`
`Exception`
`deactivate()`
`boolean`
`equals(Object obj)`
`final CDOBranch`
`getBranch()`
`protected final Object`
`getLifecycle()`
`org.eclipse.net4j.util.lifecycle.LifecycleState`
`getLifecycleState()`
`final CDOObject`
`getObject()`
`final CDOSession`
`getSession()`
`int`
`hashCode()`
`boolean`
`isActive()`
`final boolean`
`isOffline()`
`String`
`toString()`

### Methods inherited from class org.eclipse.net4j.util.event.Notifier

`addListener, addUniqueListener, fireEvent, fireEvent, fireEvent, fireThrowable, firstListenerAdded, getListeners, getNotificationService, hasListener, hasListeners, lastListenerRemoved, listenerAdded, listenerRemoved, removeListener`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

## Constructor Details

### Input

public Input(Object delegate) throws CommitHistoryComposite.Input.IllegalInputException

Throws:
  `CommitHistoryComposite.Input.IllegalInputException`

### Input

public Input(CDOSession session, CDOBranch branch, CDOObject object)

## Method Details

### getSession

public final CDOSession getSession()

### getBranch

public final CDOBranch getBranch()

### getObject

public final CDOObject getObject()

### isOffline

public final boolean isOffline()

Since:
  4.4

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### activate

public void activate() throws org.eclipse.net4j.util.lifecycle.LifecycleException

Specified by:
  `activate` in interface `org.eclipse.net4j.util.lifecycle.ILifecycle`
Throws:
  `org.eclipse.net4j.util.lifecycle.LifecycleException`

### deactivate

public Exception deactivate()

Specified by:
  `deactivate` in interface `org.eclipse.net4j.util.lifecycle.IDeactivateable`
Specified by:
  `deactivate` in interface `org.eclipse.net4j.util.lifecycle.ILifecycle`

### getLifecycleState

public org.eclipse.net4j.util.lifecycle.LifecycleState getLifecycleState()

Specified by:
  `getLifecycleState` in interface `org.eclipse.net4j.util.lifecycle.ILifecycle`

### isActive

public boolean isActive()

Specified by:
  `isActive` in interface `org.eclipse.net4j.util.lifecycle.ILifecycle`

### getLifecycle

protected final Object getLifecycle()